Name: argbash
Version: 2.5.0
Release: 1%{?dist}
Summary: Bash argument parsing code generator
License: BSD
URL: https://argbash.io
Source0: https://github.com/matejak/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch: noarch

BuildRequires: autoconf
BuildRequires: coreutils
BuildRequires: make
BuildRequires: bash
Requires: autoconf
Requires: bash
Requires: coreutils
Requires: grep
Requires: sed

%description
Argbash helps your shell scripts to accept arguments.
You declare what arguments you want your script to accept and Argbash
generates the shell code that parses them from the command-line and exposes
passed values as shell variables.

Help message is also generated, and helpful error messages are dispatched
if the script is called with arguments that conflict with the interface.

%prep
%autosetup -n argbash-2.5.0

%build

%install
cd resources && ROOT=%{buildroot} PREFIX=%{_prefix} PREFIXED_LIBDIR=%{_datarootdir} make install

%check
cd resources && make check

%files
%license LICENSE
%doc README.md ChangeLog

%{_bindir}/argbash
%{_bindir}/argbash-1to2
%{_bindir}/argbash-init
%{_datarootdir}/argbash/


%changelog
* Mon Oct 16 2017 Stephen Gallagher <sgallagh@redhat.com> - 2.5.0-1
- Official Fedora release

* Mon Oct 16 2017 Stephen Gallagher <sgallagh@redhat.com> - 2.5.0-0.3
- Update to 2.5.0
- Move common files to /usr/share
- Add requirements on grep and sed

* Tue May 30 2017 Stephen Gallagher <sgallagh@redhat.com> - 2.4.0-0.2
- Restore arch-independent path for argbash support files

* Wed May 24 2017 Stephen Gallagher <sgallagh@redhat.com> - 2.4.0-0.1
- Update to the 2.4.0 release
- Correct issues discovered in package review

* Wed Mar 08 2017 Stephen Gallagher <sgallagh@redhat.com> - 2.3.0-0.2
- Initial package

